| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csgeom/obb.h File Reference

Oriented bounding box. More...

`#include "csextern.h"`
`#include "csgeom/box.h"`
`#include "csgeom/matrix3.h"`

Go to the source code of this file.

## Classes
class | csOBB
| Oriented bounding box (OBB). More...
class | csOBBFrozen
| Version of the csOBB with frozen corners (for optimization purposes). More...

## Detailed Description

Oriented bounding box.

Definition in file obb.h.